org.springframework.cloud.dataflow.server.config.features

## Class SchedulerConfiguration

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.features.SchedulerConfiguration

-     @Configuration
       @Conditional(value=SchedulerConfiguration.SchedulerConfigurationPropertyChecker.class)
       @EnableConfigurationProperties(value={TaskConfigurationProperties.class,CommonApplicationProperties.class,SchedulerServiceProperties.class})
      public class SchedulerConfiguration
      extends Object

  Establishes the `SchedulerService` instance to be used by SCDF.
  Author:
    Glenn Renfro, Gunnar Hillert, David Turanski

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SchedulerConfiguration.SchedulerConfigurationPropertyChecker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchedulerService` | `schedulerService(CommonApplicationProperties commonApplicationProperties, List<TaskPlatform> taskPlatforms, TaskDefinitionRepository taskDefinitionRepository, AppRegistryService registry, org.springframework.core.io.ResourceLoader resourceLoader, TaskConfigurationProperties taskConfigurationProperties, org.springframework.boot.autoconfigure.jdbc.DataSourceProperties dataSourceProperties, ApplicationConfigurationMetadataResolver metaDataResolver, SchedulerServiceProperties schedulerServiceProperties, org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService, ComposedTaskRunnerConfigurationProperties composedTaskRunnerConfigurationProperties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerConfiguration

          public SchedulerConfiguration()

  - ### Method Detail

    - #### schedulerService

          @Bean
           @ConditionalOnMissingBean
          public SchedulerService schedulerService(CommonApplicationProperties commonApplicationProperties,
                                                                                    List<TaskPlatform> taskPlatforms,
                                                                                    TaskDefinitionRepository taskDefinitionRepository,
                                                                                    AppRegistryService registry,
                                                                                    org.springframework.core.io.ResourceLoader resourceLoader,
                                                                                    TaskConfigurationProperties taskConfigurationProperties,
                                                                                    org.springframework.boot.autoconfigure.jdbc.DataSourceProperties dataSourceProperties,
                                                                                    ApplicationConfigurationMetadataResolver metaDataResolver,
                                                                                    SchedulerServiceProperties schedulerServiceProperties,
                                                                                    org.springframework.cloud.dataflow.audit.service.AuditRecordService auditRecordService,
                                                                                    ComposedTaskRunnerConfigurationProperties composedTaskRunnerConfigurationProperties)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.